#!/bin/bash

#Parameterek
server=pandora
webappURL=http://people.inf.elte.hu/menyhart/mobilkomm_121124/webapp/info.php


# Adatfile neve
file=data_`date +%Y%m%d`

#Idobelyeg
timestamp=`date +%Y-%m-%dT%H:%M:%S`
sor=`echo -n "${sor}${timestamp};"`

#ping
ping=`ping $server -c 1 -W 1 | grep "1 packets transmitted" | cut -f 2 -d "," | cut -f 2 -d" "`
sor=`echo -n "${sor}${ping};"`

#wget
wget=`wget ${webappURL} -q -T 2 -O -`
sor=`echo -n "${sor}${wget};"`

#CPU
cpu=`top -b -n 1 | grep "^Cpu" | cut -c 8-12`
sor=`echo -n "${sor}${cpu};"`

#MEM
memtot=`top -b -n 1 | grep "^Mem" | cut -c 5-14`
memuse=`top -b -n 1 | grep "^Mem" | cut -c 23-31`
mem=`expr 100 \* $memuse / $memtot`
sor=`echo -n "${sor}${mem};"`

#DISK
disk=`df | grep "/h1" | cut -c 52-54`
sor=`echo -n "${sor}${disk};"`

#USER
usr=`who | cut -f 1 -d " " | sort -u | wc -l`
sor=`echo -n "${sor}${usr};"`


echo $sor >> $file
echo $sor > lastinfo